import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/JCarpenter-WPI/9ad97963d00ba66489dd2ddb99b8fb29/raw/NACRO%2520office%2520types.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Numbers = +d['Number'];
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data);
    });
  }, []);
  
  return data;
};
